package com.elephant.framework.galaxy.aroad.module.zhtj.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.elephant.framework.galaxy.aroad.module.system.vo.echarts.BarEchartsVo;
import com.elephant.framework.galaxy.aroad.module.zhtj.entity.ZhtjGllmqk;
import java.util.Map;

/**
 * 综合统计_公路路面情况
 *
 * @author xuyanqi
 * @date 2019-03-12 11:04:15
 */
public interface ZhtjGllmqkService extends IService<ZhtjGllmqk> {
    // 获取总体情况柱状图统计信息
    BarEchartsVo getBarZtData(String type,String year);
    /**
     * 公路覆蓋情況統計
     */
    Map<String,Object> getGlfgqktj();
    Map<String, Object> getOrdinary(String type, String year, String area);
    String newYear(String type);
}
